Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class BeanBinderImpl<B>

    java.lang.Object
      com.jgoodies.binding.binder.ObjectBinderImpl
          com.jgoodies.binding.binder.BeanBinderImpl<B>

Type Parameters:
  `B` - the type of the bean

All Implemented Interfaces:
  BeanBinder, ObjectBinder

Direct Known Subclasses:
  ActionBeanBinderImpl, PresentationModelBinderImpl

    public class BeanBinderImpl<B>

extends ObjectBinderImpl
implements BeanBinder

Creates Bindables that can be bound to components.

Since:
  2.3
Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Constructor Summary
`BeanBinderImpl(B target)` Constructs a BeanBinder for the given bean.

Method Summary
`ValueModelBindingBuilder` | `bindProperty(String propertyName)` Looks up a ValueModel for the given (bean) property name.
`protected BeanAdapter` | `getBeanAdapter()` Lazily creates and returns a `BeanAdapter` on this binder's bean that observes the bean properties.
`protected B` | `getTarget()`

Methods inherited from class com.jgoodies.binding.binder.ObjectBinderImpl
`bind, bind, bind, bind, bind, bind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Constructor Detail

### BeanBinderImpl

    public BeanBinderImpl(B target)

  Constructs a BeanBinder for the given bean.

  Parameters:
    `target` - used to bind bean properties via `bindProperty(String)`

Method Detail

### bindProperty

    public ValueModelBindingBuilder bindProperty(String propertyName)

  Description copied from interface: `BeanBinder`
  Looks up a ValueModel for the given (bean) property name. Then creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

  Examples:
  `binder.bindProperty("artist") .to(artistField);`
  `binder.bindProperty(PROPERTY_ARTIST).to(artistField);`

  Specified by:
    `bindProperty` in interface `BeanBinder`
  Parameters:
    `propertyName` - the name of the bean property to be converted to a ValueModel
  Returns:
    the binding builder that holds the converted bean property

### getTarget

    protected B getTarget()

  Returns:
    this binder's bean

### getBeanAdapter

    protected BeanAdapter getBeanAdapter()

  Lazily creates and returns a `BeanAdapter` on this binder's bean that observes the bean properties.

  Returns:
    the BeanAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.